Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004244SOGoWeb Preferencespublic2017-08-07 05:042017-08-30 14:19
Reporterckatterl 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebian Linux 9OS Version9.0/Stretch
Product Version3.2.10 
Target VersionFixed in Version 
Summary0004244: Saving Preferences not working
DescriptionWhen trying to save preferences in the web-gui, i can find the following error in the log:

<0x0x561e04d12c30[SOGoSieveManager]> WARNING: Could not delete Sieve script - continuing...: {RawResponse = "{ok = 0; }"; result = 0; }

Then change is done in the current session, but after a new login to the web-gui, the changes are lost.
Steps To ReproduceLogin to web-gui, make changes in preferences.
Logout and login again - changes are lost.
Additional InformationCurrent Debian 9 with Sogo nightly.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012152)
ckatterl (reporter)
2017-08-07 05:08

btw, I am using dovecot v. 2.2.27-3
User avatar (0012158)
Christian Mack (developer)
2017-08-09 07:14

> <0x0x561e04d12c30[SOGoSieveManager]> WARNING: Could not delete Sieve script - continuing...: {RawResponse = "{ok = 0; }"; result = 0; }

That is only a warning and is harmless.
You always get it when sieve is used without a prior sieve script.
It has nothing to do with your problem.

Please be sure you have the correct SOPE packages installed from inverse repo.
(0012161)
ckatterl (reporter)
2017-08-09 08:03

SOPE 4.9 is installed from the repository
User avatar (0012204)
Christian Mack (developer)
2017-08-22 04:58

Please install apt-show-versions and check with:
apt-show-versions | egrep 'sogo|sope|gnustep'
(0012205)
ckatterl (reporter)
2017-08-22 05:01

Done. See the output below:

[root@mail ~]# apt-show-versions | egrep 'sogo|sope|gnustep'
gnustep-base-common:all/stretch 1.24.9-3.1 uptodate
gnustep-base-runtime:amd64/stretch 1.24.9-3.1 uptodate
gnustep-common:amd64/stretch 2.6.8-2.1 uptodate
gnustep-make:all/stretch 2.6.8-2.1 uptodate
libgnustep-base1.24:amd64/stretch 1.24.9-3.1 uptodate
libsope-appserver4.9:amd64/stretch 4.9.r1664.20170721 uptodate
libsope-core4.9:amd64/stretch 4.9.r1664.20170721 uptodate
libsope-gdl1-4.9:amd64/stretch 4.9.r1664.20170721 uptodate
libsope-ldap4.9:amd64/stretch 4.9.r1664.20170721 uptodate
libsope-mime4.9:amd64/stretch 4.9.r1664.20170721 uptodate
libsope-xml4.9:amd64/stretch 4.9.r1664.20170721 uptodate
sogo:amd64/stretch 3.2.10.20170822-1 uptodate
sogo-activesync:amd64/stretch 3.2.10.20170822-1 uptodate
sogo-common:all/stretch 3.2.6-2 uptodate
sope4.9-gdl1-mysql:amd64/stretch 4.9.r1664.20170721 uptodate
sope4.9-libxmlsaxdriver:amd64/stretch 4.9.r1664.20170721 uptodate
User avatar (0012207)
Christian Mack (developer)
2017-08-22 07:48

> sogo-common:all/stretch 3.2.6-2 uptodate

That one is from debian repo.
You should remove that.

Everything else seems OK.

Do you get errors in your mysql log?
(0012208)
ckatterl (reporter)
2017-08-22 08:39

done.
No error at all.
(0012210)
ckatterl (reporter)
2017-08-22 15:29

With "no errors at all", I ment - that there is no mysql error or something else, but preferences are still not saving...
User avatar (0012211)
ludovic (administrator)
2017-08-22 15:31

Have you restarted SOGo after removing that package?

Have you cleared entirely your browser's cache?
(0012214)
ckatterl (reporter)
2017-08-22 15:36

Now, it's a little bit different.
Preferences are saved now, except the language.

If you choose the language "English" at the login page, everything will get loaded in english. You can then set the language to German (for example) in the preferences and the page will reload to german language. After logout and re-login, it will be english again, if english is choosen at the login page (even german should have been saved before?)

If you change the language to german before the login, everything will be german.

In my opinion, it should be possible, to save a desired language, independently from the language choosen at the login-page?
User avatar (0012216)
ludovic (administrator)
2017-08-22 15:41

Please open a separate issue for this.

- Related Changesets
sogo: master cb2ab915
Timestamp: 2017-08-30 14:18:23
Author: francis
Details ] Diff ]
(js) Don't change user language when not changed

Fixes 0004244
mod - UI/MainUI/SOGoRootPage.m Diff ] File ]
mod - UI/Templates/MainUI/SOGoRootPage.wox Diff ] File ]
mod - UI/WebServerResources/js/Main/Main.app.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 05:04 ckatterl New Issue
2017-08-07 05:08 ckatterl Note Added: 0012152
2017-08-09 07:14 Christian Mack Note Added: 0012158
2017-08-09 07:22 ckatterl Note Added: 0012159
2017-08-09 08:03 ckatterl Note Added: 0012161
2017-08-09 08:03 ckatterl Note Deleted: 0012159
2017-08-22 04:58 Christian Mack Note Added: 0012204
2017-08-22 05:01 ckatterl Note Added: 0012205
2017-08-22 07:48 Christian Mack Note Added: 0012207
2017-08-22 08:39 ckatterl Note Added: 0012208
2017-08-22 15:28 ludovic Status new => closed
2017-08-22 15:28 ludovic Assigned To => ludovic
2017-08-22 15:28 ludovic Resolution open => no change required
2017-08-22 15:29 ckatterl Note Added: 0012210
2017-08-22 15:29 ckatterl Status closed => feedback
2017-08-22 15:29 ckatterl Resolution no change required => reopened
2017-08-22 15:31 ludovic Note Added: 0012211
2017-08-22 15:36 ckatterl Note Added: 0012214
2017-08-22 15:36 ckatterl Status feedback => assigned
2017-08-22 15:41 ludovic Note Added: 0012216
2017-08-22 15:42 ludovic Status assigned => resolved
2017-08-22 15:42 ludovic Resolution reopened => no change required
2017-08-30 14:19 francis Changeset attached => sogo master cb2ab915
2017-08-30 14:19 francis Assigned To ludovic => francis
2017-08-30 14:19 francis Resolution no change required => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker